profile-image

msnkambule

Mayibongwe Nkambule Mafutseni, Swaziland
Konvertible

Audio Extractors/Converters 33 comments

Score 72%
72 Likes
28 Dislikes
Jun 04 2010
Hello,

Thank you for feedback. I will consider your suggestion. - Dec 22 2010
Thanks. I removed the enum and placed it outside the #ifdef. - Jun 11 2010
Sorry for that. The error occures if TagLib is not detected. I've uploaded an update that compiles even if there is no TagLib, but tags exporting and editing are then disabled. - Jun 05 2010
Hello. Thank you for feedback.

I have made some changes that I will upload later that take care of this problem. - May 31 2010
Thanks for taking your time to fix the program. I'm not sure about the -codecs as the documentation of my installed ffmpeg does not contain it, and when I try it on the command line I get an error.

Concerning -formats, the documentation states that it will "show available formats, codecs, bitstream filters, protocols, and frame size and frame rate abbreviations." That is why I used it. - Dec 16 2009
I think the program crashes when its codecs list is empty which means that it can't determine audio formats ffmpeg encodes. I have fixed that in the code so that it gives error message instead of crashing and you can try the update.

ffmpeg -formats | grep "EA" gives a list of those and konvertible runs that to get the list. I'm not sure why in your case it segfaults since there are always audio formats ffmpeg encodes. - Dec 14 2009
Hi.
I was going to ask you if you have ffmpeg installed, but from where the program crashes it tells me you have it. Before I change something in the code, can you please post me the first 4 or five lines of the output of:
ffmpeg -formats |grep "EA" |less

There is something I think I might have overlooked. - Dec 13 2009
Hi.
I was going to ask you if you have ffmpeg installed, but from where the program crashes it tells me you have it. Before I change something in the code, can you please post me the first 4 or five lines of the output of:
ffmpeg -formats |grep "EA" |less

There is something I think I might have overlooked. - Dec 12 2009
Sorry for that problem. I am still on KDE 4.2.2, but I think the solution will work:

In file CMakeLists.txt, line 21, remove the -lkresources and replace it with:
${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS}
such that the line is now:

target_link_libraries(konvertible ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})

Hope this works. Please let me know if it does so that I can upload a working file. - Dec 12 2009